package domain

type AlibabaHmMarketingItempoolStairAdditemMarketResult struct {
	/*
	   结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   data     */
	Data *AlibabaHmMarketingItempoolStairAdditemItemPoolSku `json:"data,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolStairAdditemMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolStairAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolStairAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemMarketResult) SetData(v AlibabaHmMarketingItempoolStairAdditemItemPoolSku) *AlibabaHmMarketingItempoolStairAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolStairAdditemMarketResult {
	s.Success = &v
	return s
}
